wifi 0.1.5

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 90

wifi #

This plugin allows Flutter apps to get wifi ssid and list, connect wifi with ssid and password.

This plugin works Android.

iOS later released.

Sample usage to check current status:

import 'package:wifi/wifi.dart';

String ssid = await Wifi.ssid;

//Signal strength, 1-3,The bigger the number, the stronger the signal
int level = await Wifi.level;

String ip = await Wifi.ip;

var result = await Wifi.connection('ssid', 'password');

// only work on Android.
List<WifiResult> list = await Wifi.list('key'); // this key is used to filter

When you use connection on iOS (iOS 11 only)

  1. 'build Phass' -> 'Link Binay With Libraries' add 'NetworkExtension.framework' NetworkExtension

  2. in 'Capabilities' open 'Hotspot Configuration'

    NetworkExtension

  3. If you device is iOS12, in 'Capabilities' open 'Access WiFi Information'

    NetworkExtension

If you want to use Wifi.list on iOS,

reference http://baixin.io/2017/01/iOS_Wifilist/

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing plugin code, view the documentation.

0.0.1 #

  • TODO: Describe initial release.

example/README.md

wifi_example #

Demonstrates how to use the wifi plugin.

Getting Started #

For help getting started with Flutter, view our online documentation.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  wifi: ^0.1.5

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:wifi/wifi.dart';
  
Version Uploaded Documentation Archive
0.1.5 Mar 4, 2019 Go to the documentation of wifi 0.1.5 Download wifi 0.1.5 archive
0.1.4 Jan 16, 2019 Go to the documentation of wifi 0.1.4 Download wifi 0.1.4 archive
0.1.3 Jan 14, 2019 Go to the documentation of wifi 0.1.3 Download wifi 0.1.3 archive
0.1.2 Nov 28, 2018 Go to the documentation of wifi 0.1.2 Download wifi 0.1.2 archive
0.1.1 Nov 27, 2018 Go to the documentation of wifi 0.1.1 Download wifi 0.1.1 archive
0.1.0 Nov 12, 2018 Go to the documentation of wifi 0.1.0 Download wifi 0.1.0 archive
0.0.10 Sep 5, 2018 Go to the documentation of wifi 0.0.10 Download wifi 0.0.10 archive
0.0.9 Sep 4, 2018 Go to the documentation of wifi 0.0.9 Download wifi 0.0.9 archive
0.0.8 Sep 4, 2018 Go to the documentation of wifi 0.0.8 Download wifi 0.0.8 archive
0.0.7 Sep 4, 2018 Go to the documentation of wifi 0.0.7 Download wifi 0.0.7 archive

All 16 versions...

Popularity:
Describes how popular the package is relative to other packages. [more]
89
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
90
Learn more about scoring.

We analyzed this package on Apr 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health issues and suggestions

Document public APIs. (-1 points)

19 out of 19 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Format lib/wifi.dart.

Run flutter format to format lib/wifi.dart.

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.28.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8